Skip to main content
Topic: I can't use or actived my newly installed themes, help! (Read 324 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

I can't use or actived my newly installed themes, help!

I'm getting this error all the time trying to activate a Theme. Help!

Quote
An Error Has Occurred
Use of undefined constant silk - assumed 'silk' (this will throw an Error in a future version of PHP)

Dearly regards
- Darkijah

Re: I can't use or actived my newly installed themes, help!

Reply #1
Make sure the theme is version compatible otherwise don't complain as it definitely will not work.

Re: I can't use or actived my newly installed themes, help!

Reply #2
Seems the theme Silk_af_v156 was the issue, after deleting it - it now works.

Re: I can't use or actived my newly installed themes, help!

Reply #3
From where did you download the theme?
Bugs creator.
Features destroyer.
Template killer.

Re: I can't use or actived my newly installed themes, help!

Reply #4
From where did you download the theme?
Your website theme section. I guess it might not be for the newest version of ElkArte. Anyway I canceled out the thing that made the issue in the code and it worked somewhat, at least it did not give any error. But I'm pretty much down to 2 themes for use. The standard with the small menu at the top and the Clean black Theme. So far so good, looked at all the themes as far as I know from the Theme section. By the way there was one Theme which download link did not work although I can't recall which, one of the older once if my memory serves me right.

Dearly regards
- Darkijah

Re: I can't use or actived my newly installed themes, help!

Reply #5
I took a look and Found the broken link for one theme - is is EaFlat which is has a broken download link.

Dearly regards
- Darkijah

Re: I can't use or actived my newly installed themes, help!

Reply #6
By the way there was one Theme which download link did not work
 when you find something broken, please report and post a link
sorry for my bad english

Re: I can't use or actived my newly installed themes, help!

Reply #7
By the way there was one Theme which download link did not work
when you find something broken, please report and post a link

Roger I'll do that, I did put the name for the Theme that is broken :) Although I did not post a link for it. Also I've seen 2 places where the text seem to have some issues on the webpage, but I'll get back on that if I see the issues again.

Re: I can't use or actived my newly installed themes, help!

Reply #8
hmm... the search is not working so I couldn't find it and was asking for a link to the theme itself. Oh well, found it:
https://themes.elkarte.net/creative/Silk.html
and indeed is for 1.0 (as written in the download button).
Maybe it is necessary to have some other sticker around to better show with what is compatible.
Bugs creator.
Features destroyer.
Template killer.